/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package northwind.modelos;

public class Customer {
    private String customerID;
    private String companyName;

    /**
     * Constructor
     * @param customerID customerID del customer
     * @param companyName nombre de la compañía del customer
    */    
    public Customer(String customerID, String companyName) {
        this.customerID = customerID;
        this.companyName = companyName;
    }

    /**
     * Devuelve el ID del customer
     * @return String  - ID del customer
    */                                                                        
    public String getCustomerID() {
        return this.customerID;
    }

    /**
     * Devuelve el nombre de la compañía
     * @return String  - nombre de la compañía
    */                                                                        
    public String getCompanyName() {
        return this.companyName;
    }
    
    
    public void mostrar() {
        System.out.println("CustomerID: " + this.customerID);
        System.out.println("Compañía: " + this.companyName);
        System.out.println();
    }
    
}
