/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package northwind.modelos;

public class Employee {
    private int employeeID;
    private String lastName;
    private String firstName;

    /**
     * Constructor
     * @param employeeID employeeID del employee
     * @param lastName apellido del employee
     * @param firstName nombre del employee
    */        
    public Employee(int employeeID, String lastName, String firstName) {
        this.employeeID = employeeID;
        this.lastName = lastName;
        this.firstName = firstName;
    }

    /**
     * Devuelve el ID del employee
     * @return int  - ID del employee
    */                                                                            
    public int getEmployeeID() {
        return employeeID;
    }

    /**
     * Devuelve el apellido del employee
     * @return String  - apellido del employee
    */                                                                            
    public String getLastName() {
        return lastName;
    }

    /**
     * Devuelve el nombre del employee
     * @return String  - nombre del employee
    */                                                                            
    public String getFirstName() {
        return firstName;
    }
    
    
    
    public void mostrar() {
        System.out.println("EmployeeID: " + this.employeeID);
        System.out.println("Apellido: " + this.lastName);
        System.out.println("Nombre: " + this.firstName);
        System.out.println();
    }    
}
