/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package northwind.modelos;

public class GestorProducts {
    private static GestorProducts instancia;     
    
    /**
     * Constructor
    */
    private GestorProducts() {
    }
    
    /**
     * Método estático que permite crear una única instancia de GestorProductos
     * @return GestorProducts
    */                                                            
    public static GestorProducts crear() {
        if (instancia == null) 
            instancia = new GestorProducts();
        return instancia;        
    }  
    
    /**
     * Crea un Producto con los datos especificados
     * @param productID ID del producto
     * @param productName nombre del producto
     * @return Product  - producto creado o null si algún parámetro es incorrecto
    */                                                                
    public Product crearProduct(int productID, String productName) {
        if ((productName != null) && (!productName.isEmpty()))
            return new Product(productID, productName);
        else
            return null;
    }
}
