/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package northwind.modelos;

public class OrderDetail {
    private Product producto;
    private float unitPrice;
    private int quantity;
    private float discount;
    private float total;

    /**
     * Constructor
     * @param producto ID del producto
     * @param unitPrice precio unitario
     * @param quantity cantidad
     * @param discount % de descuento
     * @param total total
    */                                                                    
    public OrderDetail(Product producto, float unitPrice, int quantity, float discount, float total) {
        this.producto = producto;
        this.unitPrice = unitPrice;
        this.quantity = quantity;
        this.discount = discount;
        this.total = total;
    }

    /**
     * Devuelve el producto
     * @return Producto  - producto
    */                                                                                
    public Product getProducto() {
        return this.producto;
    }

    /**
     * Devuelve el precio unitario
     * @return float  - precio unitario
    */                                                                                
    public float getUnitPrice() {
        return this.unitPrice;
    }

    /**
     * Devuelve la cantidad
     * @return int  - cantidad
    */                                                                                
    public int getQuantity() {
        return this.quantity;
    }

    /**
     * Devuelve el % de descuento
     * @return float  - % de descuento
    */                                                                                
    public float getDiscount() {
        return this.discount;
    }

    /**
     * Devuelve el total
     * @return float  - total
    */                                                                                
    public float getTotal() {
        return this.total;
    }        
}
